Bug 207833 - xchm should asscoiate with .chm file
xchm should asscoiate with .chm file
Product: Fedora
Classification: Fedora
Component: xchm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-09-24 04:48 EDT by Leo
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.9-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-24 07:00:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Leo 2006-09-24 04:48:13 EDT
Description of problem:
This is no option to open a .chm file from the right click menu.

Adding the following line to xchm .desktop should fix it.


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Patrice Dumas 2006-09-24 07:00:29 EDT
This should be fixed in 1.9-4. Thanks for the report.

There may still be something that could be better, indeed
there is no icon used for the chm documents. I don't know
exactly how to do that right, considering that there are 
more than one viewer.
Comment 2 Leo 2006-09-24 08:50:02 EDT
If I remember right, all icon theme will fall back on hicolor.
So mimetype icon support install mimetype icon as. 

I'm not sure if hicolor dir is also used by KDE.
Comment 3 Patrice Dumas 2006-09-25 17:59:19 EDT
It should be done correctly now, I put gnochm chm file
icon in the gnome theme, and xchm chm file icons in the
hicolor theme. kde allready has an icon for the chm files
so no problem here.

Note You need to log in before you can comment on or make changes to this bug.